[
{
    blockid=quota;
    help=store_quota_quota;
    custom="com.netscape.management.msgserv.StoreQuotaControl";
    localvar={
	/* translate this block */
	.header.text="\u7a7a\u95f4\u914d\u989d\u914d\u7f6e";
	.quotaenforcement.text="\u542f\u7528\u5b58\u50a8\u7a7a\u95f4\u914d\u989d\u5b9e\u65bd\u529f\u80fd";
	.quotanotification.text="\u542f\u7528\u5b58\u50a8\u7a7a\u95f4\u914d\u989d\u901a\u77e5\u529f\u80fd";
	.defquota.text="\u9ed8\u8ba4\u7684\u7528\u6237\u78c1\u76d8\u7a7a\u95f4\u914d\u989d:";
	.defmsgquota.text="\u9ed8\u8ba4\u7684\u7528\u6237\u90ae\u4ef6\u5b58\u50a8\u7a7a\u95f4\u914d\u989d\uff1a";
	.defquota.labels=["KB","MB"];
	.imapquotahelp.text="\u5141\u8bb8\u7684\u78c1\u76d8\u7a7a\u95f4\u914d\u989d\u767e\u5206\u6bd4 (\u8d85\u8fc7\u540e\u5c06\u53d1\u51fa\u8b66\u544a)\u3002";
	.gracehelp.text="\u5728\u5982\u4e0b\u6307\u5b9a\u7684\u5bbd\u9650\u671f\u4e4b\u540e\uff0c\u670d\u52a1\u5668\u5c06\u5f00\u59cb\u62d2\u6536\u90ae\u4ef6\u3002";
	.quota.text="\u7a7a\u95f4\u914d\u989d\u8b66\u544a\u9608\u503c:";
	.unlimited.text="\u65e0\u9650";
	.grace.text="\u8d85\u8fc7\u7a7a\u95f4\u914d\u989d\u5bbd\u9650\u671f:";
	.grace.labels=["\u5c0f\u65f6","\u5929"];
	.quotamsg.text="\u8d85\u51fa\u7a7a\u95f4\u914d\u989d\u9650\u5236\u540e\u8981\u53d1\u9001\u7ed9\u7528\u6237\u7684\u90ae\u4ef6:";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=label;
	    text=$.header.text;
	    wrap=$g.label.size5;
	    font=["","",16];
	    constraint={
	    	gridx=0;
	        gridy=0;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=separator;
	    constraint={
	        gridx=0;
	        gridy=1;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	/* Added in IMS 5.0 ---> */
	{
		ctrl=togglepane;
		id=quotaenforcement;
		text=$.quotaenforcement.text;
		wrap=$g.label.size1;
		val=$quotaenforcement.value;
		inline=true;
		constraint={
	        gridx=0;
	        gridy=2;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }		
	},
	{
	    ctrl=separator;
	    constraint={
	        gridx=0;
	        gridy=3;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
		ctrl=togglepane;
		id=quotanotification;
		text=$.quotanotification.text;
		wrap=$g.label.size1;
		val=$quotanotification.value;
		inline=true;
		constraint={
	        gridx=0;
	        gridy=4;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }		
	},
	{
	    ctrl=separator;
	    constraint={
	        gridx=0;
	        gridy=5;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	/* <--- Added in IMS 5.0 */
	{
	    ctrl=label;
	    id=defquotalabel;
	    text=$.defquota.text;
	    wrap=$g.label.size1;
	    constraint={
	        gridx=0;
	        gridy=6;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=togglepane;
	    label=defquotalabel;
	    style=radio;
	    group=defquota;
	    text=$.unlimited.text;
	    id=quotaunlimited;
	    inline=true;
	    constraint={
	        gridx=1;
	        gridy=6;
	        weightx=9;
	        fill=h;
	        anchor=west;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=togglepane;
	    label=defquotalabel;
	    group=defquota;
	    style=radio;
	    text="";
	    id=quotalimited;
	    inline=true;
	    constraint={
	        gridx=1;
	        gridy=7;
	        weightx=9;
	        fill=h;
	        anchor=west;
	        insets=$g.insets.comp;
	    }
	    content=[
		{
		    ctrl=number;
		    id=defaultquota;
		    label=defquotalabel;
		    unit=byte;
		    items=[kb,mb];
		    labels=$.defquota.labels;
		    val=$defaultmailboxquota.value;
		    min=-1;
		},
		{
		    ctrl=hglue;
		}
	    ]
	},
	/* Added in IMS 5.0 ---> */
	{
	    ctrl=separator;
	    constraint={
	        gridx=0;
	        gridy=8;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=defmsgquotalabel;
	    text=$.defmsgquota.text;
	    wrap=$g.label.size1;
	    constraint={
	        gridx=0;
	        gridy=9;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=togglepane;
	    label=defmsgquotalabel;
	    style=radio;
	    group=defmsgquota;
	    text=$.unlimited.text;
	    id=quotamsgunlimited;
	    inline=true;
	    constraint={
	        gridx=1;
	        gridy=9;
	        weightx=9;
	        fill=h;
	        anchor=west;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=togglepane;
	    group=defmsgquota;
	    style=radio;
	    text="";
	    id=quotamsglimited;
	    inline=true;
	    constraint={
	        gridx=1;
	        gridy=10;
	        weightx=9;
	        fill=h;
	        anchor=west;
	        insets=$g.insets.comp;
	    }
	    content=[
	    	{
	    		ctrl=number;
	    		id=defaultmsgquota;
			label=defmsgquotalabel;
			val=$defaultmessagequota.value;
			min=-1;
	    	},
	    	{
		    ctrl=hglue;
		}
	    ]
	},
	/* <--- Added in IMS 5.0 */
	{
	    ctrl=separator;
	    constraint={
	        gridx=0;
	        gridy=11;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    text=$.imapquotahelp.text;
	    wrap=$g.label.size5;
	    constraint={
	        gridx=0;
	        gridy=12;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=quotalabel;
	    text=$.quota.text;
	    wrap=$g.label.size1;
	    constraint={
	        gridx=0;
	        gridy=13;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=pane;
	    constraint={
	        gridx=1;
	        gridy=13;
	        weightx=9;
	        anchor=west;
	        insets=$g.insets.comp;
	    }
	    content=[
		{
		    ctrl=number;
		    val=$quotawarn.value;
		    label=quotalabel;
		    max=100;
		    aligny=0.5;
		},
		{
		    ctrl=label;
		    text=" %";
		    aligny=0.5;
		}
	    ]
	},
	{
	    ctrl=separator;
	    constraint={
	    	gridx=0;
	        gridy=14;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=quotamsglabel;
	    text=$.quotamsg.text;
	    wrap=$g.label.size5;
	    constraint={
	        gridx=0;
	        gridy=15;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=switchboard;
	    switchborder=false;
	    constraint={
	        gridx=0;
	        gridy=16;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	    switch=[
		{
		    ctrl=choice;
		    id=exceedlang;
		    items=$g.usrlang.items;
		    labels=$g.usrlang.labels;
		    sendmodified=false;
		}
	    ];
	    content=[
		{
		    ctrl=textarea;
		    id=exceedtext;
		    label=quotamsglabel;
		}
	    ];
	},
	{
	    ctrl=separator;
	    constraint={
	    	gridx=0;
	        gridy=17;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    text=$.gracehelp.text;
	    wrap=$g.label.size5;
	    constraint={
	        gridx=0;
	        gridy=18;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=gracelabel;
	    text=$.grace.text;
	    target=gracectrl;
	    wrap=$g.label.size1;
	    constraint={
	        gridx=0;
	        gridy=19;
	        weightx=1;
	        fill=h;
	        anchor=northwest;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=number;
	    id=gracectrl;
	    label=gracelabel;
	    unit=hr;
	    items=[hr,day];
	    labels=$.grace.labels;
	    val=$quotagraceperiod.value;
	    constraint={
	        gridx=1;
	        gridy=19;
	        weightx=9;
	        weighty=1;
	        anchor=northwest;
	        insets=$g.insets.comp;
	    }
	}
    ]
},
{
    blockid=dialog1;
    help=store_quota_dialog1;
    localvar={
	.name.text="\u7ba1\u7406\u5458 ID:";
    };
    content=[
	{
	    ctrl=pane;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    id=namelabel;
		    text=$.name.text;
		    wrap=$g.label.size5;
		},
		{
		    ctrl=text;
		    label=namelabel;
		    val=$adminname;
		}
	    ]
	}
    ]
}
]
